Subject: Re: [PATCH 1/8] Introduce CMake support for configuring Git on Linux

From: "brian m. carlson" <[email-masked]>
Date: Sat, 25 Apr 2020 17:07:40 +0000

On 2020-04-24 at 04:01:30, Sibi Siddharthan via GitGitGadget wrote:
> diff --git a/CMakeLists.txt b/CMakeLists.txt
> new file mode 100644
> index 00000000000..73703bd321f
> --- /dev/null
> +++ b/CMakeLists.txt
> @@ -0,0 +1,528 @@
> +#
> +#	Copyright (c) 2020 Sibi Siddharthan
> +#
> +
> +cmake_minimum_required(VERSION 3.14)

I don't plan a full review of this series, but I wanted to point out
that this version is newer than what's in Debian 10, so this isn't
practically buildable on many systems.

If we wanted to add CMake support, even just for Linux and Windows, I'd
want to see it functional on the latest versions of the major distros,
at the very least.  Ideally it would function using the system packages
on all security-supported versions of the major distros, since our
Makefile does right now.
-- 
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204